<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Hubungi Kami</ion-title>
  </ion-navbar>
</ion-header>

<ion-content>
  <form #f="ngForm" (ngSubmit)="onSubmit(f)" novalidate>
    <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color: black;" stacked>Nama <small>(harus diisi)</small></ion-label>
      <ion-input name="fullname" [(ngModel)]="fullname" type="text" ngModel #fullname_="ngModel" style="color: black; border: 1px solid black; transform: translateZ(0); -webkit-transform: translateZ(0px);" required></ion-input>
	  
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" style="color: black;" stacked>Email <small>(harus diisi)</small></ion-label>
      <ion-input type="email" name="email" style="color: black; border: 1px solid black; transform: translateZ(0); -webkit-transform: translateZ(0px);" [(ngModel)]="email" ngModel #email_="ngModel" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color: black;" stacked>Perusahaan</ion-label>
      <ion-input name="company" style="color: black; border: 1px solid black; transform: translateZ(0); -webkit-transform: translateZ(0px);" [(ngModel)]="company" type="text" ngModel #company_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color: black;" stacked>No. Telepon</ion-label>
      <ion-input name="phone" style="color: black; border: 1px solid black; transform: translateZ(0); -webkit-transform: translateZ(0px);" [(ngModel)]="phone" type="text" pattern="\\d*" ngModel #phone_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label style="color: black;" stacked>Pesan <small>(harus diisi)</small></ion-label>
      <ion-textarea class="tb1" style="border: 1px solid black;padding-left: 5px; color: black; transform: translateZ(0); -webkit-transform: translateZ(0px);" rows="5" type="text" name="message" [(ngModel)]="message" ngModel #message_="ngModel"  required></ion-textarea>
    </ion-item>
    <button style="margin-left: 15px;margin-top: 10px; text-transform : none;" ion-button small>Kirim</button>
  </form>

  <hr>

  <p style="margin-left: 10px;margin-right: 10px;font-weight:bold">Lokasi</p>
  <ion-grid>
    <ion-row>
      <ion-col style="padding: 0;margin: 0">
        <div class="office" [ngClass]="{'selected': (position == 1)}" (click)="selectPosition(1)" align="center">
          Jakarta
        </div>
      </ion-col>
      <ion-col style="padding: 0;margin: 0">
        <div class="office" [ngClass]="{'selected': (position == 2)}" (click)="selectPosition(2)" align="center">
          Surabaya
        </div>
      </ion-col>
      <ion-col style="padding: 0;margin: 0">
        <div class="office" [ngClass]="{'selected': (position == 3)}" (click)="selectPosition(3)" align="center">
          Balikpapan
        </div>
      </ion-col>
    </ion-row>
  </ion-grid>

  <div style="height: 250px; width: 100%" #mapCanvas id="map_canvas"></div>

  <div style="margin-left: 10px;margin-right: 10px">
    <p>
      <b>MUC Consulting Group</b>
    </p>

    <table *ngIf="position == 1">
      <tr >
        <td style="padding-right: 10px;vertical-align: top;"><ion-icon name="pin"></ion-icon></td>
        <td>MUC Building. Jl TB. Simatupang No.15 RT.8/RW, Tanjung Barat Jagakarsa, Kota Jakarta Selatan<br>Daerah Khusus Ibukota Jakarta<br>12530<br>
          <button ion-button color="light" (click)="goToLocation()" round small>Navigasi</button>
        </td>
      </tr>
      <tr (click)="callIT('02178837111')">
        <td style="padding-right: 10px;padding-top: 10px"><ion-icon name="call"></ion-icon></td>
        <td style="padding-top: 10px;color:#29b7e5">(021) 78837111</td>
      </tr>
    </table>

    <table *ngIf="position == 2">
      <tr >
        <td style="padding-right: 10px;vertical-align: top;"><ion-icon name="pin"></ion-icon></td>
        <td>Graha Pena 15th Floor, JL, Jend. Ahmad Yani No.88, Surabaya<br> East Java<br>60231<br>
          <button ion-button color="light" (click)="goToLocation()" round small>Navigasi</button>
        </td>
      </tr>
      <tr (click)="callIT('0318202180')">
        <td style="padding-right: 10px;padding-top: 10px"><ion-icon name="call"></ion-icon></td>
        <td style="padding-top: 10px;color:#29b7e5">(031) 8202180</td>
      </tr>
    </table>

    <table *ngIf="position == 3">
      <tr >
        <td style="padding-right: 10px;vertical-align: top;"><ion-icon name="pin"></ion-icon></td>
        <td>Jl. Indrakila No.24, Gn. Samarinda, Balikpapan Utara, Kota Balikpapan<br>Kalimantan Timur<br>76124<br>
          <button ion-button color="light" (click)="goToLocation()" round small>Navigasi</button>
        </td>
      </tr>
      <tr (click)="callIT('05427202929')">
        <td style="padding-right: 10px;padding-top: 10px"><ion-icon name="call"></ion-icon></td>
        <td style="padding-top: 10px;color:#29b7e5">(0542) 7202929</td>
      </tr>
    </table>
    <br>
  </div>

</ion-content>
